# Timeouted

class Timeouted (timeoutMillis: Long ) : ActionWrapper (source)

This type of ActionWrappers will use withTimeout and if original call will not return anything in that timeout just return Result with failure

## Constructors

Timeouted
Link copied to clipboard
constructor(timeoutMillis: Long )

## Functions

wrap
Link copied to clipboard
open suspend override fun < T > wrap (block: suspend () -> T ): Result < T >

Should execute block to take the result T, but may return failure in case when something went wrong. This method should never throw any Exception